
Redmine - Defect #15540

Some users unable to view existing tickets after upgrade to 2.4.1

2013-11-25 20:51 - Peter Berkman

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.4.1

Description

Started GET "/issues/3114" for 127.0.0.1 at 2013-11-25 11:46:11 -0800

Processing by IssuesController#show as HTML

  Parameters: {"id"=>"3114"}

  Current user: charles.ye (id=39)

  Rendered issues/_action_menu.html.erb (0.0ms)

  Rendered plugins/redmine_code_review/app/views/code_review/_issues_show_details_bottom.html.erb 

(0.0ms)

  Rendered plugins/redmine_issue_checklist/app/views/issues/_checklist.html.erb (0.0ms)

  Rendered issue_relations/_form.html.erb (0.0ms)

  Rendered issues/_relations.html.erb (15.6ms)

  Rendered issues/_history.html.erb (15.6ms)

  Rendered issues/_action_menu.html.erb (0.0ms)

  Rendered issues/_form_custom_fields.html.erb (31.2ms)

  Rendered issues/_attributes.html.erb (171.6ms)

  Rendered plugins/redmine_issue_checklist/app/views/issues/_checklist_form.html.erb (0.0ms)

  Rendered issues/_form.html.erb (374.5ms)

  Rendered attachments/_form.html.erb (0.0ms)

  Rendered issues/_edit.html.erb (390.1ms)

  Rendered plugins/redmine_contacts/app/views/issues/_contacts.html.erb (15.6ms)

  Rendered issues/_sidebar.html.erb (15.6ms)

  Rendered issues/show.html.erb within layouts/base (546.1ms)

Completed 500 Internal Server Error in 670.9ms

ActionView::Template::Error (Mysql2::Error: You have an error in your SQL syntax; check the manual

 that corresponds to your MySQL server version for the right syntax to use near ') ))))) ORDER BY 

contacts.last_name, contacts.first_name' at line 1: SELECT DISTINCT `contacts`.`id` AS t0_r0, `con

tacts`.`first_name` AS t0_r1, `contacts`.`last_name` AS t0_r2, `contacts`.`middle_name` AS t0_r3, 

`contacts`.`company` AS t0_r4, `contacts`.`address` AS t0_r5, `contacts`.`phone` AS t0_r6, `contac

ts`.`email` AS t0_r7, `contacts`.`website` AS t0_r8, `contacts`.`skype_name` AS t0_r9, `contacts`.

`birthday` AS t0_r10, `contacts`.`avatar` AS t0_r11, `contacts`.`background` AS t0_r12, `contacts`

.`job_title` AS t0_r13, `contacts`.`is_company` AS t0_r14, `contacts`.`author_id` AS t0_r15, `cont

acts`.`assigned_to_id` AS t0_r16, `contacts`.`created_on` AS t0_r17, `contacts`.`updated_on` AS t0

_r18, `contacts`.`cached_tag_list` AS t0_r19, `contacts`.`visibility` AS t0_r20, `projects`.`id` A

S t1_r0, `projects`.`name` AS t1_r1, `projects`.`description` AS t1_r2, `projects`.`homepage` AS t

1_r3, `projects`.`is_public` AS t1_r4, `projects`.`parent_id` AS t1_r5, `projects`.`created_on` AS

 t1_r6, `projects`.`updated_on` AS t1_r7, `projects`.`identifier` AS t1_r8, `projects`.`status` AS

 t1_r9, `projects`.`lft` AS t1_r10, `projects`.`rgt` AS t1_r11, `projects`.`inherit_members` AS t1

_r12 FROM `contacts` LEFT OUTER JOIN `contacts_projects` ON `contacts_projects`.`contact_id` = `co

ntacts`.`id` LEFT OUTER JOIN `projects` ON `projects`.`id` = `contacts_projects`.`project_id` INNE

R JOIN `contacts_issues` ON `contacts`.`id` = `contacts_issues`.`contact_id` WHERE `contacts_issue

s`.`issue_id` = 3114 AND ((projects.id <> -1 ) AND ( (contacts.visibility = 1) OR (projects.id IN 

(2,3,4,6,7,8,1000,2000,2001,2002,2003,2004,2005,2006,2007,2008,4005,4006,4007,4008,4009,4010,4011,

4012,4013,4014,4015,4016,4017,4018,4019,4020,4021,4022,4024,4026,4027,4028,4029,4030,4031,4032,403

3,4034,4035,4036,4037,4038,4039,4041) AND contacts.visibility <> 2)  OR (projects.id IN (2,3,4,6,7

,8,1000,2000,2001,2002,2003,2004,2005,2006,2007,2008,4005,4006,4007,4008,4009,4010,4011,4012,4013,

4014,4015,4016,4017,4018,4019,4020,4021,4022,4024,4026,4027,4028,4029,4030,4031,4032,4033,4034,403

5,4036,4037,4038,4039,4041)  OR (projects.id IN (2,3,4,6,7,8,1000,2000,2001,2002,2003,2004,2005,20

06,2007,2008,4005,4006,4007,4008,4009,4010,4011,4012,4013,4014,4015,4016,4017,4018,4019,4020,4021,

4022,4024,4026,4027,4028,4029,4030,4031,4032,4033,4034,4035,4036,4037,4038,4039,4041)  AND (contac

ts.author_id = 39 OR contacts.assigned_to_id IN (39,) ))))) ORDER BY contacts.last_name, contacts.

first_name):
    42:     

    43:     

    44:     <ul>

    45:         <% @issue.contacts.visible.each do |contact| %>   

    46:         <li id="contact_<%= contact.id%>">  

    47:         <%= contact_tag(contact) %>    

    48:         <%= "(#{contact.job_title}) " unless contact.job_title.blank? %>     

  lib/redmine/hook.rb:111:in `block in render_on'

  lib/redmine/hook.rb:61:in `block (2 levels) in call_hook'

  lib/redmine/hook.rb:61:in `each'

  lib/redmine/hook.rb:61:in `block in call_hook'

  lib/redmine/hook.rb:58:in `tap'

  lib/redmine/hook.rb:58:in `call_hook'

  lib/redmine/hook.rb:158:in `call_hook'

  app/views/issues/_sidebar.html.erb:18:in `_app_views_issues__sidebar_html_erb__643037917_4426280

4'

  app/views/issues/show.html.erb:144:in `block in _app_views_issues_show_html_erb__446275950_54290

508'

  app/views/issues/show.html.erb:143:in `_app_views_issues_show_html_erb__446275950_54290508'

  app/controllers/issues_controller.rb:124:in `block (2 levels) in show'

  app/controllers/issues_controller.rb:121:in `show'

History

#1 - 2013-11-25 21:43 - Peter Berkman

note: this does NOT happen if the user is an Administrator (checked Administrator box in user setup view).

#2 - 2013-11-25 22:17 - Peter Berkman

- Status changed from New to Resolved

the problem turned out to be the CRM Plugin -- upgraded that and all is good.

#3 - 2013-11-26 19:08 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

OK, thanks for the feedback.
